"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const react = require("@emotion/react");
const MantineThemeProvider = require("../../../../../@mantine_core@7.17.8_patch_hash_3qirwkgu3wxhvd6hnr2gb24yzq_@mantine_hooks@7.17.8_react@18.3.1_e5yvlgwhmeykc75dkphi7jou6q/node_modules/@mantine/core/esm/core/MantineProvider/MantineThemeProvider/MantineThemeProvider.cjs");
function Global({ styles }) {
  const theme = MantineThemeProvider.useMantineTheme();
  return /* @__PURE__ */ jsxRuntime.jsx(react.Global, { styles: react.css(typeof styles === "function" ? styles(theme) : styles) });
}
exports.Global = Global;
